[youtubei.js](../../../README.md) / [Managers](../README.md) / AccountManager

# Class: AccountManager

## Constructors

### new AccountManager()

> **new AccountManager**(`actions`): [`AccountManager`](AccountManager.md)

#### Parameters

• **actions**: [`Actions`](../../../classes/Actions.md)

#### Returns

[`AccountManager`](AccountManager.md)

#### Defined in

[src/core/managers/AccountManager.ts:12](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/core/managers/AccountManager.ts#L12)

## Methods

### getInfo()

> **getInfo**(): `Promise`\<[`AccountInfo`](../../YT/classes/AccountInfo.md)\>

Retrieves channel info.

#### Returns

`Promise`\<[`AccountInfo`](../../YT/classes/AccountInfo.md)\>

#### Defined in

[src/core/managers/AccountManager.ts:19](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/core/managers/AccountManager.ts#L19)

***

### getSettings()

> **getSettings**(): `Promise`\<[`Settings`](../../YT/classes/Settings.md)\>

Gets YouTube settings.

#### Returns

`Promise`\<[`Settings`](../../YT/classes/Settings.md)\>

#### Defined in

[src/core/managers/AccountManager.ts:30](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/core/managers/AccountManager.ts#L30)
